Release:
  Release Name: mx93__yocto-langdale-6.1.1_1.0.1-v1.1.wic.zst
  Release Date: 08/26/2023
  Upload Path: VAR-SOM-MX93/Software/mx93__yocto-langdale-6.1.1_1.0.1-v1.1.wic.zst
  Image SHA224: 07b097b973591f11b25d97358c29a047728bee919dc2ee343d35ed46
  Image Size: 900 MiB (943,406,865 bytes)
  Yocto Version: v1.1
  Yocto Release: Langdale 6.1.1_1.0.1
Source:
  Yocto:
    uboot-imx:
      Repository: https://github.com/varigit/uboot-imx
      Branch: lf_v2022.04_var03
      Commit ID: 52597f009b18ef614a6a03dee61bcd621e9bba86
    linux-imx:
      Repository: https://github.com/varigit/linux-imx
      Branch: lf-6.1.y_var01
      Commit ID: 280bf073885c5872021f509e65cc934e627c14a1
    meta-variscite-bsp-imx:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: langdale-var01
      Commit ID: b9a8e9ce2e210ed01e37599f7a36642d40f4229b
    meta-variscite-bsp-common:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: langdale-var01
      Commit ID: 78e4d6c8e39d5d7bdbd77cd8c6086bbbf94a710a
    meta-variscite-sdk-imx:
      Repository: https://github.com/varigit/meta-variscite-sdk
      Branch: langdale-var01
      Commit ID: dcd42f4e887fd74747d4fa66e84334e383734f08
    meta-variscite-sdk-common:
      Repository: https://github.com/varigit/meta-variscite-sdk
      Branch: langdale-var01
      Commit ID: cfe94f61edad44ea112d0c0d3fefb015c162c716
Changes:
  Yocto:
    - Add support for VAR-SOM-MX93 v2.0
    - Add U-Boot and Linux support for M33 device tree
    - Split meta-variscite-bsp and meta-variscite-sdk into meta-variscite-bsp-common and meta-variscite-sdk-common
    - See wiki for full release notes
    Known Issues:
      Several features still not yet supported by the NXP BSP:
        - CPU frequency scaling (See L6.1.1_1.0.1_LINUX_RN Table 8)
        - Encrypted FS
---
Release:
  Release Name: mx93__yocto-langdale-6.1.1_1.0.1-v1.0.wic.zst
  Release Date: 07/14/2023
  Upload Path: VAR-SOM-MX93/Software/mx93__yocto-langdale-6.1.1_1.0.1-v1.0.wic.zst
  Image SHA224: 1477b3f1e6d1162f68926c8bce0dd5716153946ba5261905d8868852fef7467f
  Image Size: 886 MiB (929,824,024 bytes)
  Yocto Version: v1.0
  Yocto Release: Langdale 6.1.1_1.0.1
Source:
  Yocto:
    uboot-imx:
      Repository: https://github.com/varigit/uboot-imx
      Branch: lf_v2022.04_var03
      Commit ID: d68fdfbc1229d3468d099e39c8789c6dda10204b
    linux-imx:
      Repository: https://github.com/varigit/linux-imx
      Branch: lf-6.1.y_var01
      Commit ID: e3ee0d47bd952eee215f04fda8f6c643f686a16b
    meta-variscite-bsp:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: langdale-var01
      Commit ID: 1457df738dc3ce4b01379698bc43afe8273a119d
    meta-variscite-sdk:
      Repository: https://github.com/varigit/meta-variscite-sdk
      Branch: langdale-var01
      Commit ID: f71186711f831b579afa752e57e13edd5c302173
Changes:
  Yocto:
    - Initial Yocto Langdale release - Based on NXP Yocto Langdale 6.1.1_1.0.1 and NXP Linux Kernel lf-6.1.y
    - Introduce EEPROM v2 Structure - Changes to SOM EEPROM format for SOM DDR init purposes
    - Support for multiple RAM parts and sizes using the EEPROM 	
    - Support for multiple DDR frequency setpoints 	
    - Additional remoteproc M33 demo packaged - hello_world example in freertos-variscite
    Known Issues:
      Several features still not yet supported by the NXP BSP:
        - CPU frequency scaling (See L6.1.1_1.0.1_LINUX_RN Table 8)
        - Encrypted FS
---
Release:
  Release Name: mx93__yocto-kirkstone-5.15.71_2.2.0-v1.2.img.gz
  Release Date: 03/31/2023
  Upload Path: VAR-SOM-MX93/Software/mx93__yocto-kirkstone-5.15.71_2.2.0-v1.2.img.gz
  Image SHA224: a06a2517b1186e4d831053c9e85d0d6af2d9d0b5ce628359ff851176
  Image Size: 1.21 GiB (1,310,526,835 bytes)
  Yocto Version: v1.2
  Yocto Release: Kirkstone 5.15.71_2.2.0
Source:
  Yocto:
    uboot-imx:
      Repository: https://github.com/varigit/uboot-imx
      Branch: lf_v2022.04_var02
      Commit ID: e28ce5ce5d97d7a7e2d7d67764fc51ecda23368f
    linux-imx:
      Repository: https://github.com/varigit/linux-imx
      Branch: lf-5.15.y_var01
      Commit ID: ef382d731287b82ae03f5b979a640824a13742ad
    meta-variscite-bsp:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: kirkstone
      Commit ID: 969bf4e59eda99c512ec48fe6006abf7c792ee02
    meta-variscite-sdk:
      Repository: https://github.com/varigit/meta-variscite-sdk
      Branch: kirkstone
      Commit ID: b06b614e5ef88f4246187a65b28fd9ab4320c969
Changes:
  Yocto:
    uboot-imx:
      - 'imx93_var_som: Replace NXP runtime config vars with Variscite`s'
      - 'imx93_var_som: dts: Add a 10 ms start up delay to the SD card regulator'
      - 'imx93_var_som: dts: Re-enable UHS, HS200, and HS400 MMC modes for SD card'
    linux-imx:
      - 'imx93-var-som: dts: Tune pad settings for USDHC3 Wi-Fi interface'
    meta-variscite-bsp:
      - 'license: clarify the licensing for the project`s metadata'
      - 'cortexm-toolchain-cross: Fix incorrect license file checksum'
    meta-variscite-sdk:
      - No changes
---
Release:
  Release Name: mx93__yocto-kirkstone-5.15.71_2.2.0-v1.1.img.gz
  Release Date: 03/16/2023
  Upload Path: VAR-SOM-MX93/Software/mx93__yocto-kirkstone-5.15.71_2.2.0-v1.1.img.gz
  Image SHA224: 29daf7e7eeb415acedeff0ce6dce3e54bb128b4003a3a1aaa0d72a11
  Image Size: 1.21 GiB (1,310,527,140 bytes)
  Yocto Version: v1.1
  Yocto Release: Kirkstone 5.15.71_2.2.0
Source:
  Yocto:
    uboot-imx:
      Repository: https://github.com/varigit/uboot-imx
      Branch: lf_v2022.04_var02
      Commit ID: e7a90cfa344f1aa7e02ebddada9a7e4a7e484c36
    linux-imx:
      Repository: https://github.com/varigit/linux-imx
      Branch: lf-5.15.y_var01
      Commit ID: 542d74c7460b1ae6f71eacc12851af5ad68c4035
    meta-variscite-bsp:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: kirkstone
      Commit ID: 13ecaa0f6a1332c5ab0084b582b75dbce55bdcc5
    meta-variscite-sdk:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: kirkstone
      Commit ID: b06b614e5ef88f4246187a65b28fd9ab4320c969
Changes:
  Yocto:
    uboot-imx:
      - 'imx93_var_som: Set CONFIG_BOOTDELAY=1 by default'
      - 'imx93_var_som: dts: Disable card detect pin for SD card'
      - 'imx93_var_som: dts: Disable UHS, HS200, and HS400 MMC modes for SD card'
      - 'imx93_var_som: dts: Correct USDHC CLK and STROBE pad config settings'
      - 'ddr: imx: imx9: Add ddrphy firmware offset to dram_timing_info'
      - 'gpio: uclass: Introduce gpio-hog-optional property'
      - 'usb: ehci-mx6: Fix USB type detection'
    linux-imx:
      - 'imx_rproc: imx93: Make call to imx_8m_setup_stack() conditional'
      - 'imx93_var_som: dts: Correct USDHC CLK and STROBE pad config settings'
      - 'arm64: imx8_var_defconfig: enable MCP251XFD driver'
      - 'arm64: imx8_var_defconfig: enable sn65dsi83 driver'
      - 'imx_rproc: Free mailbox on remove'
    meta-variscite-bsp:
      - 'imx-atf: Add Variscite branch for imx93-var-som'
      - 'variscite: Drop setting preferred gstreamer version'
    meta-variscite-sdk:
      - No changes
---
Release:
  Release Name: mx93__yocto-kirkstone-5.15.71_2.2.0-v1.0.img.gz
  Release Date: 02/21/2023
  Upload Path: VAR-SOM-MX93/Software/mx93__yocto-kirkstone-5.15.71_2.2.0-v1.0.img.gz
  Image SHA224: e4c94b47661199f63e11dc818deaa0282a50a2487d23b089dafa279f
  Image Size: 1.22 GiB (1,311,938,269 bytes)
  Yocto Version: v1.0
  Yocto Release: Kirkstone 5.15.71_2.2.0
Source:
  Yocto:
    uboot-imx:
      Repository: https://github.com/varigit/uboot-imx
      Branch: lf_v2022.04_var02
      Commit ID: 277ff23bfc0eb4a1fdd0bc114b64edddff311903
    linux-imx:
      Repository: https://github.com/varigit/linux-imx
      Branch: lf-5.15.y_var01
      Commit ID: 5006ade871149a113944e0f3c981656b135ecfee
    meta-variscite-bsp:
      Repository: https://github.com/varigit/meta-variscite-bsp
      Branch: kirkstone
      Commit ID: 4c281f95ebfd49094f1944b6753d725dd775f8af
    meta-variscite-sdk:
      Repository: https://github.com/varigit/meta-variscite-sdk
      Branch: kirkstone
      Commit ID: b06b614e5ef88f4246187a65b28fd9ab4320c969
Changes:
  Yocto:
    uboot-imx:
      - Initial Kirkstone 5.15.71_2.2.0 release
    linux-imx:
      - Initial Kirkstone 5.15.71_2.2.0 release
    meta-variscite-bsp:
      - Initial Kirkstone 5.15.71_2.2.0 release
    meta-variscite-sdk:
      - Initial Kirkstone 5.15.71_2.2.0 release
